%
%
%   UndStdLeakyMode
%   Understand leaky modes: Slab waveguide revisited
%
%   Copyright (2008)
%   Computational Photonics Laboratory
%   University of Maryland Baltimore County
%   
%   By Jonathan Hu
%
function f = OkamotoEq2_21(b,x)


f = x*sqrt(1-b) - 0*pi/2 - atan(sqrt(b/(1-b)));
